Subject: bug#25529: diagnosis and one approach to a fix

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Feb 2017 09:56:38 -0500

>> Also, what is the purpose of the first call to
>> js-syntax-propertize-regexp in js-syntax-propertize?

It tests if the start point is inside a regexp, and if so, does what's
needed with it and moves to its end since the rest of the
js-syntax-propertize code assumes we're outside of a regexp.

> I'm not sure. Normally, that helps deal with multiline literals, but regexps
> in JavaScript are single-line. Maybe Stefan remembers.

I think I just didn't want to presume that the start point is never
inside a regexp (not sure if I was aware that Javascrit doesn't support
multiline regexps, but in any case I'd be surprised if there isn't some
Javascript implementation somewhere which does).  IOW I just reproduced
the pattern I've used in many other syntax-propertize-functions.
Maybe it's not needed, but it doesn't hurt.

        Stefan